Subject: Re: [PATCH v5 4/6] counter: Add rockchip-pwm-capture driver

From: William Breathitt Gray <[email-masked]>
Date: Sun, 3 May 2026 20:06:43 +0900

On Mon, Apr 27, 2026 at 07:35:32PM +0200, Nicolas Frattaroli wrote:
> On Sunday, 26 April 2026 12:55:20 Central European Summer Time Damon Ding wrote:
> > BTW: Is there any user-space test tool similar to libpwm for the
> > counter subsystem?
> 
> I've tried looking for this as well, and couldn't find anything. If
> it exists then adding a mention of it to generic-counter.rst would
> be in order I think.

Fabrice Gasnier added a Counter chrdev userspace test application to
watch Counter events; it's at tools/counter/counter_watch_events.c if
you are interested in trying it out.

I do need to update generic-counter.rst to add a few new things we've
picked up over the years, so it is on my general to-do list.

William Breathitt Gray